Skip to main content
GET
/
v1
/
admin
/
sanitizer
/
policies
Get sanitizer policies
curl --request GET \
  --url http://co-mind-platform-host/v1/admin/sanitizer/policies \
  --header 'Authorization: Bearer <token>'
{
  "user_input": {
    "INJECTION": {
      "action": "block",
      "threshold": 123,
      "alert_admin": true,
      "audit": true
    },
    "JAILBREAK": {
      "action": "block",
      "threshold": 123,
      "alert_admin": true,
      "audit": true
    },
    "BENIGN": {
      "action": "block",
      "threshold": 123,
      "alert_admin": true,
      "audit": true
    }
  },
  "retrieved_content": {
    "INJECTION": {
      "action": "block",
      "threshold": 123,
      "alert_admin": true,
      "audit": true
    },
    "JAILBREAK": {
      "action": "block",
      "threshold": 123,
      "alert_admin": true,
      "audit": true
    },
    "BENIGN": {
      "action": "block",
      "threshold": 123,
      "alert_admin": true,
      "audit": true
    }
  },
  "pii": {
    "default": {
      "action": "<string>",
      "entities": [
        "<string>"
      ]
    },
    "contexts": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Supports two token types:

  • JWT Access Token — obtained via POST /v1/auth/login
  • Personal Access Token (PAT) — created via POST /v1/api-tokens, format: cmnd_<tokenId>.<secret>

Query Parameters

tenant_id
string

Optional tenant ID (defaults to user's org)

Response

Current policies

user_input
object
retrieved_content
object
pii
object